/* Copyright John-Philip "Seriema" Johansson (seriema@users.sourceforge.net)
 * released under the MIT license */


using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ThumbviewSample {
    /// <summary>
    /// This is a sample class showing how to use the ActiveX component ThumbCtl
    /// to create thumbnails for your application. If ThumbView is installed it
    /// will be called automaticly for its registered imagetypes.
    /// </summary>
	public partial class ViewerForm : Form {

		public ViewerForm() {
			InitializeComponent();
		}

		private void button1_Click(object sender, EventArgs e) {
            openFileDialog1.FileName = string.Empty;
			if (openFileDialog1.ShowDialog() != DialogResult.OK)
				return;

			imageName.Text = openFileDialog1.FileName;

            // Here we go! If you have ThumbView installed you'll be able to
            // open alot of different kinds of image types.
            axThumbCtl.displayFile(openFileDialog1.FileName);
        }
	}
}